6.0.0-git
2020-04-02

[#4997] Failed assertion in Text_Diff
Summary Failed assertion in Text_Diff
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester selsky (at) columbia (dot) edu
Created 2007-02-14 (4796 days ago)
Due
Updated 2007-05-03 (4718 days ago)
Assigned 2007-05-03 (4718 days ago)
Resolved 2007-05-03 (4718 days ago)
Milestone
Patch No

History
2007-05-03 14:39:28 Jan Schneider Comment #4
State ⇒ Resolved
Reply to this comment
This code is over my head anyway, so I applied this "fix".
2007-05-03 14:12:21 Michael Slusarz Comment #3 Reply to this comment
I see this also.  Changing line 202 to:

                         assert($y <= $this->seq[$k]);

seems to fix things - or at least it prevents errors.
2007-05-03 13:25:56 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Do you still see this and did you have a chance to further track this down?
2007-02-14 07:29:55 Matt Selsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Failed assertion in Text_Diff
Queue ⇒ Horde Framework Packages
Reply to this comment
I'm updating my conf.php files with php 5.2.1 and I get several of the 
following when viewing the differences in the config files in the 
pop-up window:



Warning: assert() [function.assert]: Assertion failed in 
/etc/httpd/htdocs/horde/framework/Text_Diff/Diff/Engine/native.php on 
line 202

Saved Queries